Bug 161933 - [UPDATE] textproc/py-creole to 1.0.0
Summary: [UPDATE] textproc/py-creole to 1.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-10-23 14:30 UTC by Olivier Duchateau
Modified: 2011-10-31 18:13 UTC (History)
0 users

See Also:


Attachments
file.diff (891 bytes, patch)
2011-10-23 14:30 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2011-10-23 14:30:01 UTC
ChangeLog:

- Change API: Replace 'parser_kwargs' and 'emitter_kwargs' with separate arguments.
More information on new (and old) API, http://code.google.com/p/python-creole/wiki/API

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-10-23 14:30:14 UTC
Maintainer of textproc/py-creole,

Please note that PR ports/161933 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161933

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-10-23 14:30:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Stanislav Svirid 2011-10-24 10:47:53 UTC
Hi.

Patch is ok.
But it's also need add record in UPDATING:
20111024:
   AFFECTS: users of textproc/py-creole
   AUTHOR: Stanislav Svirid <count@211.ru>

   Some API is changed: replace 'parser_kwargs' and 'emitter_kwargs'
   with separate arguments. More information on new API,
   http://code.google.com/p/python-creole/wiki/API


23.10.2011 20:30, Edwin Groothuis ïèøåò:
> Maintainer of textproc/py-creole,
>
> Please note that PR ports/161933 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/161933
>

-- 
Stanislav Svirid
 > Siberian Networks, Novosibirsk, Russia
 > SAS-RIPE, 3909675@ICQ
Comment 4 Pawel Pekala freebsd_committer 2011-10-30 12:52:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 5 dfilter service freebsd_committer 2011-10-31 18:02:28 UTC
pawel       2011-10-31 18:02:14 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
    textproc/py-creole   Makefile distinfo 
  Log:
  - Update to version 1.0.0
  - Add entry in UPDATING about API change
  
  PR:             ports/161933
  Submitted by:   Olivier Duchateau <duchateau.olivier@gmail.com>
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.1165    +9 -1      ports/UPDATING
  1.7       +1 -1      ports/textproc/py-creole/Makefile
  1.8       +2 -2      ports/textproc/py-creole/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Pawel Pekala freebsd_committer 2011-10-31 18:13:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!